import request from "@/request/index";
  
export function GetBoatNum(id) {
  return request({
    url: '/DigitalTwain/dredging/getDredgingShipNum',
    method: "post",
    data: {id}
  })
}

export function GetFstj(id) {
  return request({
    url: '/DigitalTwain/dredging/getDredgingByTime',
    method: "post",
    data: {
      id
    }
  })
}

export function GetFstjByDay(time, id) {
  return request({
    url: '/DigitalTwain/dredging/getShipListByDays',
    method: "post",
    data: {
      time, id
    }
  })
}

export function GetYjWarning(id) {
  return request({
    url: '/DigitalTwain/dredging/getCrossWarning',
    method: "post",
    data: {
      page: 1, limit: 4, id
    }
  })
}

export function GetGctj() {
  return request({
    url: '/DigitalTwain/dredging/workCountByYear',
    method: "post"
  })
}

export function GetGcxx(year) {
  return request({
    url: '/DigitalTwain/dredging/projectInfo',
    method: "post",
    data: {
      year
    }
  })
}

export function GetWhss() {
  return request({
    url: '/DigitalTwin/WaterDepthSpace/getHpjArea',
    method: "post"
  })
}